Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class LanguageTag

    java.lang.Object
      com.sun.jersey.core.header.LanguageTag

Direct Known Subclasses:
  AcceptableLanguageTag

    public class LanguageTag

extends java.lang.Object

A language tag.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected java.lang.String` | `primaryTag`
`protected java.lang.String` | `subTags`
`protected java.lang.String` | `tag`

Constructor Summary
`protected` | `LanguageTag()`
`` | `LanguageTag(HttpHeaderReader reader)`
`` | `LanguageTag(java.lang.String header)`
`` | `LanguageTag(java.lang.String primaryTag, java.lang.String subTags)`

Method Summary
`java.util.Locale` | `getAsLocale()`
`java.lang.String` | `getPrimaryTag()`
`java.lang.String` | `getSubTags()`
`java.lang.String` | `getTag()`
`boolean` | `isCompatible(java.util.Locale tag)`
`protected void` | `parse(java.lang.String languageTag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    protected java.lang.String tag

### primaryTag

    protected java.lang.String primaryTag

### subTags

    protected java.lang.String subTags

Constructor Detail

### LanguageTag

    protected LanguageTag()

### LanguageTag

    public LanguageTag(java.lang.String primaryTag,
                       java.lang.String subTags)

### LanguageTag

    public LanguageTag(java.lang.String header)
                throws java.text.ParseException

Throws:
  `java.text.ParseException`

### LanguageTag

    public LanguageTag(HttpHeaderReader reader)
                throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### isCompatible

    public final boolean isCompatible(java.util.Locale tag)

### getAsLocale

    public final java.util.Locale getAsLocale()

### parse

    protected final void parse(java.lang.String languageTag)
                        throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getTag

    public final java.lang.String getTag()

### getPrimaryTag

    public final java.lang.String getPrimaryTag()

### getSubTags

    public final java.lang.String getSubTags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.